r.squared {plm} | R Documentation

## R squared and adjusted R squared for panel models

### Description

This function computes R squared or adjusted R squared for plm objects. It allows to define on which transformation of the data the (adjusted) R squared is to be computed and which method for calculation is used.

### Usage

    r.squared(object, model = NULL, type = c("cor", "rss", "ess"), dfcor = FALSE)

### Arguments

`object` | an object of class `"plm"`,
`model` | on which transformation of the data the R-squared is to be computed. If `NULL`, the transformation used to estimate the model is also used for the computation of R squared,
`type` | indicates method which is used to compute R squared. One of `"rss"` (residual sum of squares), `"ess"` (explained sum of squares), or `"cor"` (coefficient of correlation between the fitted values and the response),
`dfcor` | if `TRUE`, the adjusted R squared is computed.

### Value

A numerical value. The R squared or adjusted R squared of the model estimated on the transformed data, e. g. for the within model the so called "within R squared".

### See Also

`plm` for estimation of various models; `summary.plm` which makes use of `r.squared`.

### Examples

    data("Grunfeld", package = "plm")
    p <- plm(inv ~ value + capital, data = Grunfeld, model = "pooling")
    r.squared(p)
    r.squared(p, dfcor = TRUE)

[Package plm version 1.6-6 Index]